package com.kingdee.eas.custom.esign;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractGeneralESignBillInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractGeneralESignBillInfo()
    {
        this("id");
    }
    protected AbstractGeneralESignBillInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:通用电子签署申请单's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object: 通用电子签署申请单 's 员工 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object: 通用电子签署申请单 's 行政组织 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrg()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrg");
    }
    public void setAdminOrg(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrg", item);
    }
    /**
     * Object: 通用电子签署申请单 's 职位 property 
     */
    public com.kingdee.eas.basedata.org.PositionInfo getPosition()
    {
        return (com.kingdee.eas.basedata.org.PositionInfo)get("position");
    }
    public void setPosition(com.kingdee.eas.basedata.org.PositionInfo item)
    {
        put("position", item);
    }
    /**
     * Object: 通用电子签署申请单 's 电子签文件模板 property 
     */
    public com.kingdee.eas.custom.esign.ESignTemplateInfo getESignFileTemplate()
    {
        return (com.kingdee.eas.custom.esign.ESignTemplateInfo)get("eSignFileTemplate");
    }
    public void setESignFileTemplate(com.kingdee.eas.custom.esign.ESignTemplateInfo item)
    {
        put("eSignFileTemplate", item);
    }
    /**
     * Object:通用电子签署申请单's 发起状态property 
     */
    public com.kingdee.eas.custom.esign.bizEnum.IssueStatusEnum getIssueStatus()
    {
        return com.kingdee.eas.custom.esign.bizEnum.IssueStatusEnum.getEnum(getInt("issueStatus"));
    }
    public void setIssueStatus(com.kingdee.eas.custom.esign.bizEnum.IssueStatusEnum item)
    {
		if (item != null) {
        setInt("issueStatus", item.getValue());
		}
    }
    /**
     * Object: 通用电子签署申请单 's eSign模版映射 property 
     */
    public com.kingdee.eas.custom.esign.FieldMappingInfo getESignMapping()
    {
        return (com.kingdee.eas.custom.esign.FieldMappingInfo)get("eSignMapping");
    }
    public void setESignMapping(com.kingdee.eas.custom.esign.FieldMappingInfo item)
    {
        put("eSignMapping", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("76ADA3F2");
    }
}